<?php
namespace nulib\php\access;

/**
 * Class GetAccess: accès à une valeur de $_GET
 */
class GetAccess extends FormAccess {
  function exists(): bool {
    return $this->_exists($_GET);
  }

  public function available(): bool {
    return $this->_available($_GET);
  }

  function get($default=null) {
    return $this->_get($default, $_GET);
  }

  function set($value): void {
    $this->_set($value, $_GET);
  }

  function del(): void {
    $this->_del($_GET);
  }
}
